ApiDashboard
Get dashboard charts
Get chart data for the analytics dashboard including tool call trends, latency percentiles, and server load.
Authorization
User API Key AuthorizationBearer <token>
User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Cookie Parameters
access_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/dashboard/charts"{
"calls_over_time": [
{
"hour": "string",
"value": 0
}
],
"success_rate_trend": {
"data": [
{
"hour": "string",
"value": 0
}
],
"current_rate": 0,
"average_rate": 0
},
"latency_percentiles": {
"p50": [
{
"hour": "string",
"value": 0
}
],
"p95": [
{
"hour": "string",
"value": 0
}
],
"p99": [
{
"hour": "string",
"value": 0
}
],
"current_p50": 0,
"current_p95": 0,
"current_p99": 0
},
"server_load": [
{
"name": "string",
"call_count": 0,
"percentage": 0,
"success_rate": 0
}
],
"errors_by_tool": [
{
"tool_name": "string",
"server_name": "string",
"error_count": 0,
"total_count": 0,
"error_rate": 0
}
],
"generated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}